/*********************************************************************
----------------------------------------------------------------------
File    : Main.c
Purpose : Sample Apllication fpr ATMEL AT91SAM7S64-EK
--------- END-OF-HEADER ----------------------------------------------
*/

#define MAIN_C

#include "BSP.h"

/*********************************************************************
*       _Delay
*/
static void _Delay(void) {
  volatile int i;

  i = 1000;
  while (i--);
}

/*********************************************************************
*       main
*/
int main(void) {
  volatile int cnt;
  cnt = 0;
  BSP_Init();                      /* Initialize BSP module         */
  BSP_SetLED(0);
  while (1) {
    BSP_ToggleLED(1);
    cnt++;
    _Delay();
  }
  return 0;
}
